<?php
 session_start();

 header("Content-Type: application/json; charset=UTF-8");
 $ch = curl_init();

 curl_setopt($ch, CURLOPT_URL, "https://apibeta.tagcash.com/oauth/accesstoken");
 curl_setopt($ch, CURLOPT_HEADER, 0);
 curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
 curl_setopt($ch, CURLOPT_POST, 1);

 $data = array(
    "client_id" => "client_id",
    "client_secret" => "client_secret",
    "grant_type" => "client_credentials"
 );

 curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
 $contents = curl_exec($ch);
 curl_close($ch);

 $obj = json_decode($contents, false);
 $result = $obj->result;
 $accesstoken = $result->access_token;

 if(!$accesstoken){
    redirect("Failed","Merchant Access Token Is Not Found");
 }

 $ch = curl_init();
 curl_setopt($ch, CURLOPT_URL, "https://apibeta.tagcash.com/Voucher/PayUsingVoucher");
 curl_setopt($ch, CURLOPT_HEADER, 0);
 curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
 curl_setopt($ch, CURLOPT_POST, 1);

 $data = array(
    "access_token" => $accesstoken,
    "amount" => $_POST["amount"],
    "voucher" => $_POST["voucher_code"],
    "narration" => $_POST["narration"],
    "email" => $_POST["email"]
 );

 curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
 $contents = curl_exec($ch);
 curl_close($ch);

 $response = json_decode($contents);
 redirect($response->status, $response->message);

 function redirect($status,$message){
    session_start();
    $_SESSION["message"] = $message;
    $_SESSION["status"] = $status;
    header("Location: index.php");
    die();
 }

?>